cURL
curl --request GET \
--url https://api.finosu.com/customers/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.finosu.com/customers/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.finosu.com/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.finosu.com/customers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.finosu.com/customers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.finosu.com/customers/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.finosu.com/customers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "[email protected]",
"birthday": "2023-12-25",
"ssnLastFour": "<string>",
"timezone": "<string>",
"phoneNumber": "<string>",
"streetAddress1": "<string>",
"streetAddress2": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"doNotCall": true,
"doNotText": true,
"doNotEmail": true,
"bankruptcy": true,
"debtConsolidation": true,
"deceased": true,
"militaryStatus": true,
"legalThreat": true,
"isTest": true,
"taskType": "<string>",
"externalMetadata": {}
}{
"detail": "<string>"
}Customers
Retrieve a Customer
Returns a specific customer from the system that the user has access to
GET
/
customers
/
{id}
cURL
curl --request GET \
--url https://api.finosu.com/customers/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.finosu.com/customers/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.finosu.com/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.finosu.com/customers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.finosu.com/customers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.finosu.com/customers/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.finosu.com/customers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "[email protected]",
"birthday": "2023-12-25",
"ssnLastFour": "<string>",
"timezone": "<string>",
"phoneNumber": "<string>",
"streetAddress1": "<string>",
"streetAddress2": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"doNotCall": true,
"doNotText": true,
"doNotEmail": true,
"bankruptcy": true,
"debtConsolidation": true,
"deceased": true,
"militaryStatus": true,
"legalThreat": true,
"isTest": true,
"taskType": "<string>",
"externalMetadata": {}
}{
"detail": "<string>"
}Retrieves a single customer by reference ID, scoped to the company identified by your API key.
The
id path parameter is the customer’s reference ID — the id you supplied on Create a Customer (or the Finosu-generated FIN-###### value if you did not supply one). It is not an internal UUID.
Returns 404 if no customer with that reference ID exists for your company.
In the response, taskType reflects the customer’s most recently created scheduled call, or null if they have none.Response
Customer response